import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { MenuConfig } from "@/service/user_config";
import { ColumnsType } from "antd/lib/table";

export const defaultConfig = [
  {
    type: FormType.input,
    label: "职位名称",
    name: "name",
    value: "",
    rules: [{ required: true, message: "请输入职位名称!" }],
  },

  {
    type: FormType.inputNumber,
    label: "职位描述",
    name: "desc",
    value: "",
    rules: [{ required: true, message: "请输入职位描述" }],
  },
  {
    type: FormType.select,
    label: "菜单权限",
    name: "menu_rights",
    selectUrl: MenuConfig.LIST,
    value: "",
    rules: [{ required: true, message: "请选择菜单" }],
  },
  {
    type: FormType.input,
    label: "接口权限",
    name: "api_rights",
    value: "",
    rules: [{ required: true, message: "请输入接口权限" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "职位名称",
    dataIndex: "name",
    fixed: "left",
  },
  {
    title: "职位描述",
    dataIndex: "desc",
  },

  {
    title: "菜单权限",
    dataIndex: "menu_rights",
  },

  {
    title: "接口权限",
    dataIndex: "api_rights",
  },
];
